summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBartek Grzybowski <b.grzybowski@partner.samsung.com>2020-11-04 13:28:00 +0100
committerBartek Grzybowski <b.grzybowski@partner.samsung.com>2020-11-12 10:33:42 +0100
commit9b92bbd38b7f43b635bd4d23693822d5079edcca (patch)
tree921dfad7f574ac1a7960d4b9564144e96c20ccda
parente51e086c5fa4ff60fc4e89e5fa72ddf413213011 (diff)
Add feature to set custom helm repository server port
Change-Id: Ia273290ce661c2e4887e16a3a323a7349c609546 Issue-ID: OOM-2623 Signed-off-by: Bartek Grzybowski <b.grzybowski@partner.samsung.com>
-rwxr-xr-xbuild/creating_data/docker-images-collector.sh52
1 files changed, 46 insertions, 6 deletions
diff --git a/build/creating_data/docker-images-collector.sh b/build/creating_data/docker-images-collector.sh
index b8eb174e..db085618 100755
--- a/build/creating_data/docker-images-collector.sh
+++ b/build/creating_data/docker-images-collector.sh
@@ -2,7 +2,7 @@
# COPYRIGHT NOTICE STARTS HERE
#
-# Copyright 2019 © Samsung Electronics Co., Ltd.
+# Copyright 2019-2020 © Samsung Electronics Co., Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -20,7 +20,7 @@
### This script is preparing docker images list based on kubernetes project
-### NOTE: helm needs to be installed and working, it is required for correct processing
+### NOTE: helm needs to be installed; it is required for correct processing
### of helm charts in oom directory
# Fail fast settings
@@ -30,7 +30,11 @@ usage () {
echo " "
echo " This script is preparing docker images list based on kubernetes project"
echo " Usage:"
- echo " ./$(basename $0) <path to project> [<output list file>]"
+ echo " ./$(basename $0) [OPTION]... <path to project> [<output list file>]"
+ echo " "
+ echo " Options:"
+ echo " -h | --help Show script usage synopsis"
+ echo " -p | --helm-port Chart repository server port"
echo " "
echo " Example: ./$(basename $0) /root/oom/kubernetes/onap"
echo " "
@@ -73,16 +77,52 @@ kill_helm() {
done
}
-# Configuration
-if [ "${1}" == "-h" ] || [ "${1}" == "--help" ] || [ $# -lt 1 ]; then
+validate_port() {
+ if [ -z $1 ];
+ then
+ echo "Error: No valid port number provided"
+ exit 1
+ fi
+ if ! [[ "$1" =~ ^[0-9]*$ ]];
+ then
+ echo "Error: "${1}" is not a valid port number"
+ exit 1
+ fi
+}
+
+# Proccess input options
+if [ $# -lt 1 ]; then
usage
fi
+while [ $# -gt 0 ];
+do
+ case "${1}" in
+ -h | --help)
+ usage
+ ;;
+ -p | --helm-port)
+ PORT="${2}"
+ validate_port "${PORT}"
+ shift 2
+ ;;
+ -*)
+ echo "Unknown option ${1}"
+ usage
+ ;;
+ *)
+ # end of options
+ break
+ ;;
+ esac
+done
+
+# Configuration
PROJECT_DIR="${1}"
LIST="${2}"
LISTS_DIR="$(readlink -f $(dirname ${0}))/../data_lists"
HELM_REPO_HOST="127.0.0.1"
-HELM_REPO_PORT="8879"
+HELM_REPO_PORT="${PORT:-8879}"
HELM_REPO="${HELM_REPO_HOST}:${HELM_REPO_PORT}"
HELM_REPO_PATH="dist/packages" # based on PACKAGE_DIR defined in oom/kubernetes/Makefile
DOCKER_CONTAINER="generate-certs-${HELM_REPO_PORT}" # oom-cert-service container name override